# Keyboard teleopration

To teleoperate the robot with the keyboard, either the real or the simulated robots must be running.

To use the real robot, execute:

```
roslaunch iri_ana_bribgup ana_test.launch
```

More information on how to use the real robot is available [here]().

To use the simulated robot, execute:

```
roslaunch iri_ana_gazebo sim_sample.launch
```

More information on how to use the simulated robot is available [here]().

To start teleoprating the robot with the keyboard, execute:

```
roslaunch iri_ana_launch keyboard_teleop.launch.
```

See the onscreen information to change the maximum translational and rotational speed and also to send motion commands to the robot. More information can be found in the [telop_twist_keyboard wiki page](http://wiki.ros.org/teleop_twist_keyboard).
